/**
 * 修改工单
 * */

$(function() {
	//获取 id
	var oid = helper.request.queryString("oid");
	autosize($('textarea'));
	//获取工单来源 获取业务办理 获取工单类型
	$.when(helper.getDropList.getlistDropByDic($('#order_source'), 'GDLY'),
	helper.getDropList.getlistDropByDic($('#order_handle'), 'YWLX'),
	helper.getDropList.getOrderRadios($('#order_type'), 'GDLX', 'inlineRadioOptions'))
	.then(function(){
		$('#order_source').selectpicker('val', '468');
		// $('#order_type').find('input[type="radio"]').on('change', function() {
		// 	$('#order_type').find('input[type="radio"]').on('change', function() {
		// 		if($(this).val() === "107") { // 业务办理
		// 			$('#order_handles').show();
		// 		}else{
		// 			$('#order_handles').hide();
		// 		}
		// 	});
		// });
		if(oid) {
			getWorkOrder(oid); //获取工单信息
		}
	});
	
	//工单有效性 
	$('#order_iseffective').find('input[type="radio"]').on('change', function() {
		//是否有效工单项(0有效，1无效)
		if($(this).val() === "1") { //无效
			$('.order_note').show();
		} else {
			$('.order_note').hide();
		}
	});
	
	//新增工单创建
	$('#save_order').on('click', orderSave);
    laydate.render({
    	elem: '#sc_time',
    	// range: '~',
    	type: 'datetime',
    	theme: '#1ab394',
    	// calendar: true
    });
});

//新建工单 保存
function orderSave() {
	var wURL = '';
	var oid = '';
	oid = helper.request.queryString("oid");
	var isDetail = helper.request.queryString("isDetail");
	if(oid) {
		wURL = 'WorkOrder/EditWorkOrderDetail';
	} else {
		wURL = 'CallInScreen/AddWorkOrder';
	}
	
	if(!regexs.userNameReg.test($.trim($('#order_name').val()))) {
		layer.confirm('请输入有效的客户姓名（2-20位汉字可以包含·•）！', {
			icon: 2,
			btn: ['确定']
		});
		return;
	}
	
	if(!regexs.phone.test($.trim($('#order_tel').val()))) {
		layer.confirm('请输入正确的电话！', {
			icon: 2,
			btn: ['确定']
		});
		return;
	}
	var order_handle = $('#order_handles').is(':visible') ? $('#order_handle').val() : 0;
	$.post(huayi.config.callcenter_url + wURL, {
		orderid: oid, //int 工单id；
		// source: $('#order_source').val(),//int 工单来源-下拉，数据来源：数据字典GDLY；
		gdlx: $('#order_type').find('input[type="radio"]:checked').val(),//int 工单类型-单选，数据来源：数据字典GDLX；
		ywlx: order_handle,//int 业务办理-下拉，工单类型选择“业务办理”时数据来源：数据字典GDLX，工单类型选择“投诉”时数据是投诉，传值ID与工单类型一致
		// customerid:int 客户id； -此参数可根据来电弹屏时的客户绑定
    // callid:string； -此参数可根据来电弹屏时的客户绑定
    callCustomer: $('#order_name').val(), //string 客户姓名； -此参数可根据来电弹屏时的客户绑定
    tel: $('#order_tel').val(), //string 联系电话 ； -此参数可根据来电弹屏时的客户绑定
		company: $('#order_company').val(), //公司名称
    fkcont: $('#order_reception').val(), //string 反馈内容；
	limitdate:$('#sc_time').val(),//截止日期
    iseffective: $('#order_iseffective').find('input[type="radio"]:checked').val(), //	int 是否有效工单项(0有效，1无效)；
    note: $('#order_note').val(), // string 无效工单必填备注；
		// isover: $('#order_isover').find('input[type="radio"]:checked').val(), //int 是否立即处理（默认为0，立即处理为1，立即处理的工单无法指派接收人和接受部门）
		token: $.cookie("token")
	}, function(result) {
		result = $.parseJSON(result);
		if(result.state.toLowerCase() == "success") {
			if(isDetail === "true") {
				parent.parent.layer.closeAll();
				parent.parent.$('#orderlist').bootstrapTable('refresh');
				parent.parent.layer.msg("修改成功");
			} else {
				var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
				parent.layer.close(index); //再执行关闭
				parent.$('#workorderlist').bootstrapTable('refresh');
				parent.$('.Closed').trigger('click');
				parent.layer.msg("保存成功");
			}
			top.workcount();
		}
	})
}

//获取 工单信息
function getWorkOrder(oid) {
	$.getJSON(huayi.config.callcenter_url + 'WorkOrder/GetWorkOrder', {
		"orderid": oid,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			if(result.data.data && result.data.data.length > 0) {
				var data = result.data.data[0];
				$('#order_source').selectpicker('val', data.Source); //否	int	工单来源
				$('#order_type').find('input[type="radio"][value="' + data.Type + '"]').prop('checked', true).trigger('change'); //否	int	工单类型
				$('#order_handle').selectpicker('val', data.TypeClass);//业务办理
				$('#order_name').val(data.Customer); //是	string	姓名/联系人
				$('#order_tel').val(data.CustomerTel); //否	string	联系电话
				$('#order_company').val(data.County); // 公司名称
				$('#sc_time').val(data.limitdate),//截止日期
				$('#order_reception').val(decodeURIComponent(data.Detail)); //否	string	反馈内容 - 反馈内容
				$('#order_iseffective').find('input[type="radio"][value="' + data.IsEffective + '"]').prop('checked', true).trigger('change'); //是否有效
				if(data.Province) {
					$('#order_note').val(decodeURIComponent(data.Province)); //否	string 无效原因
				}
				if(data.F_IsOver != null){
					$('#order_isover').find('input[type="radio"][value="'+ data.F_IsOver +'"]').prop('checked', true); //int 是否立即处理（默认为0，立即处理为1，立即处理的工单无法指派接收人和接受部门）
				}
			}
		}
	});
}


